Execute dashboard SQL chart
Executes a SQL chart within a dashboard context asynchronously with inherited filters
Authentication: personal access token. The spec defines an api_key security
scheme — send an Authorization: ApiKey <your-personal-access-token> header
(value format: ApiKey <your key>). A session_cookie scheme (connect.sid)
exists for browser sessions. Operations in this spec declare security: [], an
artifact of the upstream spec generator — authentication is still enforced by the
server.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
projectUuid | string | Yes |
Request body
{
"parameters": {
"property": "string"
},
"usePreAggregateCache": true,
"invalidateCache": true,
"context": "dashboardView",
"limit": 0,
"dashboardSorts": [
{
"pivotValues": [
{
"value": "string",
"reference": "string"
}
],
"nullsFirst": true,
"descending": true,
"fieldId": "string"
}
],
"dashboardFilters": {
"tableCalculations": [
{
"includeNull": true,
"values": [
"string"
],
"operator": "isNull",
"id": "string",
"target": {
"fallbackType": "string",
"isSqlColumn": true,
"tableName": "string",
"fieldId": "string"
},
"settings": "string",
"disabled": true,
"required": true,
"caseSensitive": true,
"lockedTabUuids": [
"string"
],
"requiredGroupId": "string",
"singleValue": true,
"label": "string",
"tileTargets": {
"property": {
"fallbackType": "string",
"isSqlColumn": true,
"tableName": "string",
"fieldId": "string"
}
}
}
],
"metrics": [
{
"includeNull": true,
"values": [
"string"
],
"operator": "isNull",
"id": "string",
"target": {
"fallbackType": "string",
"isSqlColumn": true,
"tableName": "string",
"fieldId": "string"
},
"settings": "string",
"disabled": true,
"required": true,
"caseSensitive": true,
"lockedTabUuids": [
"string"
],
"requiredGroupId": "string",
"singleValue": true,
"label": "string",
"tileTargets": {
"property": {
"fallbackType": "string",
"isSqlColumn": true,
"tableName": "string",
"fieldId": "string"
}
}
}
],
"dimensions": [
{
"includeNull": true,
"values": [
"string"
],
"operator": "isNull",
"id": "string",
"target": {
"fallbackType": "string",
"isSqlColumn": true,
"tableName": "string",
"fieldId": "string"
},
"settings": "string",
"disabled": true,
"required": true,
"caseSensitive": true,
"lockedTabUuids": [
"string"
],
"requiredGroupId": "string",
"singleValue": true,
"label": "string",
"tileTargets": {
"property": {
"fallbackType": "string",
"isSqlColumn": true,
"tableName": "string",
"fieldId": "string"
}
}
}
]
},
"tileUuid": "string",
"dashboardUuid": "string",
"savedSqlUuid": "string"
}Responses
200 — Success
{
"results": {
"resolvedTimezone": "string",
"usedParametersValues": {
"property": "string"
},
"parameterReferences": [
"string"
],
"cacheMetadata": {
"preAggregate": {
"reason": {
"reason": "no_pre_aggregates_defined"
},
"name": "string",
"hit": true
},
"cacheHit": true,
"cacheKey": "string",
"cacheExpiresAt": "2024-01-01T00:00:00.000Z",
"cacheUpdatedTime": "2024-01-01T00:00:00.000Z"
},
"queryUuid": "string",
"appliedDashboardFilters": {
"tableCalculations": [
{
"includeNull": true,
"values": [
"string"
],
"operator": "isNull",
"id": "string",
"target": {
"fallbackType": "string",
"isSqlColumn": true,
"tableName": "string",
"fieldId": "string"
},
"settings": "string",
"disabled": true,
"required": true,
"caseSensitive": true,
"lockedTabUuids": [
"string"
],
"requiredGroupId": "string",
"singleValue": true,
"label": "string",
"tileTargets": {
"property": {
"fallbackType": "string",
"isSqlColumn": true,
"tableName": "string",
"fieldId": "string"
}
}
}
],
"metrics": [
{
"includeNull": true,
"values": [
"string"
],
"operator": "isNull",
"id": "string",
"target": {
"fallbackType": "string",
"isSqlColumn": true,
"tableName": "string",
"fieldId": "string"
},
"settings": "string",
"disabled": true,
"required": true,
"caseSensitive": true,
"lockedTabUuids": [
"string"
],
"requiredGroupId": "string",
"singleValue": true,
"label": "string",
"tileTargets": {
"property": {
"fallbackType": "string",
"isSqlColumn": true,
"tableName": "string",
"fieldId": "string"
}
}
}
],
"dimensions": [
{
"includeNull": true,
"values": [
"string"
],
"operator": "isNull",
"id": "string",
"target": {
"fallbackType": "string",
"isSqlColumn": true,
"tableName": "string",
"fieldId": "string"
},
"settings": "string",
"disabled": true,
"required": true,
"caseSensitive": true,
"lockedTabUuids": [
"string"
],
"requiredGroupId": "string",
"singleValue": true,
"label": "string",
"tileTargets": {
"property": {
"fallbackType": "string",
"isSqlColumn": true,
"tableName": "string",
"fieldId": "string"
}
}
}
]
}
},
"status": "ok"
}default — Error
{
"error": {
"data": "string",
"message": "string",
"name": "string",
"statusCode": 0
},
"status": "error"
}